#
# spec file for package scim-qtimm (Version 0.9.4)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa alsa-devel arts arts-devel atk attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo coreutils cpio cpp cracklib cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib dbus-1-qt3 dbus-1-qt3-devel desktop-translations diffutils e2fsprogs expat fam fam-devel file filesystem fillup findutils flac flex fontconfig fontconfig-devel freeglut freeglut-devel freetype2 freetype2-devel gawk gcc gcc-c++ gconf2 gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz gnome-filesystem gpm grep groff gtk2 gzip info insserv jack jack-devel kdelibs3 kdelibs3-arts kdelibs3-devel kdelibs3-doc klogd less libacl libacl-devel libart_lgpl libart_lgpl-devel libattr libattr-devel libcom_err libdrm libdrm-devel libgcc libgcrypt libgcrypt-devel libgpg-error libgpg-error-devel libidn libidn-devel libjpeg libjpeg-devel liblcms liblcms-devel libmng libmng-devel libnscd libogg libogg-devel libpng libpng-devel libstdc++ libstdc++-devel libtiff libtiff-devel libtool libvorbis libvorbis-devel libxcrypt libxml2 libxml2-devel libxslt libxslt-devel libzio m4 mDNSResponder-devel mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl openssl-devel orbit2 pam pam-modules pango patch pcre pcre-devel perl permissions pkgconfig popt procinfo procps psmisc pwdutils python qt3 qt3-devel rcs readline resmgr rpm scim scim-devel sed sgml-skel skim strace sysvinit tar tcpd texinfo timezone unsermake unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           scim-qtimm
BuildRequires:  kdelibs3-devel scim-devel skim
License:        GPL
Group:          System/I18n/Chinese
Autoreqprov:    on
Provides:       locale(qt3:ja;ko;zh)
Summary:        Qt input module plugin for SCIM
Version:        0.9.4
Release:        15.2
URL:            http://www.scim-im.org/
# CVS repository:
# cvs -d:pserver:anonymous@cvs.sourceforge.net:/cvsroot/scim login 
# cvs -z3 -d:pserver:anonymous@cvs.sourceforge.net:/cvsroot/scim co scim-qtimm
Source0:        scim-qtimm-%version.tar.bz2
Patch1:         disable-debug.diff
Patch3:         bugzilla-116220-keyboard-layout.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Qt input module plugin for SCIM



Authors:
--------
    Liu Cougar <liuspider@users.sourceforge.net>

%debug_package
%prep
%setup -q
%patch1 -p1
%patch3 -p1
chmod -R u+w .
rm -f config.cache
. /etc/opt/kde3/common_options
update_admin --no-unsermake

%build
. /etc/opt/kde3/common_options
export QTDIR=/usr/lib/qt3
export KDEDIR=/opt/kde3
./configure $configkde \
%ifarch x86_64 ppc64 s309x
            --enable-libsuffix=64 \
%endif
            --enable-tests \
	    --enable-scim-debug 
make

%install
. /etc/opt/kde3/common_options
export QTDIR=/usr/lib/qt3
make DESTDIR=$RPM_BUILD_ROOT $INSTALL_TARGET
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
install -m 755 tests/edittest $RPM_BUILD_ROOT/%{_bindir}
%find_lang %{name}
pushd $RPM_BUILD_ROOT/usr/lib/qt3/plugins/inputmethods/
    if [ %_lib = lib64 ]; then
	mv libqscim.so libqscim.lib64.so
	mv libqscim.la libqscim.lib64.la
    else
    	:
    fi
popd
rm  $RPM_BUILD_ROOT/usr/lib/qt3/plugins/inputmethods/*la

%clean
#rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang 
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README TODO NEWS THANKS
%dir /usr/lib/qt3/plugins/inputmethods/
/usr/lib/qt3/plugins/inputmethods/*.so
%{_bindir}/*

%changelog -n scim-qtimm
* Tue Feb 28 2006 - mfabian@suse.de
- Bugzilla #153791: use ';' in Provides locale(...).
* Thu Feb 23 2006 - mfabian@suse.de
- add "Provides: locale(qt3:ja,ko,zh)".
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 - zsu@suse.de
- update to 0.9.4.
* Mon Sep 12 2005 - mfabian@suse.de
- Bugzilla #116220: Fix a keyboard layout related bug in scim-qtimm
  (patch by the author (Zhe Su <zsu@novell.com>).
* Mon Aug 15 2005 - mfabian@suse.de
- apply a patch by the author (Zhe Su <zsu@novell.com>) to fix
  a focus ic handling problem.
* Thu Aug 04 2005 - mfabian@suse.de
- Bugzilla #97962: add configure option "--enable-scim-debug" to
  the .spec file.
* Mon Jul 25 2005 - mfabian@suse.de
- update to 0.9.3.
* Thu Jul 07 2005 - mfabian@suse.de
- update to 0.9.2.20050707.
* Mon Jul 04 2005 - mfabian@suse.de
- update to 0.9.1.20050704.
* Thu Jun 23 2005 - mfabian@suse.de
- update to 0.9.1.20050623 (updated German translation).
* Tue Jun 21 2005 - mfabian@suse.de
- update to version 0.9.1.
* Tue Jun 07 2005 - mfabian@suse.de
- make the test program build again (Thanks to <coolo@suse.de>).
* Mon Jun 06 2005 - adrian@suse.de
- update to version 0.9.0
* Thu Mar 17 2005 - adrian@suse.de
- apply fix for using SCIM with Numlock On (by Zhe Su #73067)
* Tue Mar 01 2005 - mfabian@suse.de
- make the skim support build.
* Mon Feb 28 2005 - mfabian@suse.de
- update to 0.8.5.
* Tue Feb 15 2005 - mfabian@suse.de
- update to 0.8.0.20050215 (CVS HEAD).
- build and install edittest
- mv to libqscim.lib64.so on platforms where %%_lib = lib64.
* Fri Feb 11 2005 - adrian@suse.de
- update to version 0.8.0 (1.0.0 did never exist yet)
- use kde build system
- disable debug
* Tue Feb 08 2005 - mfabian@suse.de
- update to 1.0.0.20050208 to make it build with scim-1.1.3.
* Mon Jan 24 2005 - mfabian@suse.de
- update to 1.0.0.20050124.
* Mon Jan 10 2005 - mfabian@suse.de
- update to 1.0.0.20050110 (has been ported to scim 1.1.1).
* Wed Oct 20 2004 - mfabian@suse.de
- update to 0.7.5svn94 which fixes Bugzilla #46646.
* Tue Oct 12 2004 - mfabian@suse.de
- Bugzilla #47019: (SCIM should commit the preedit string before
  switching off): partly fixed by updating scim-qtimm to
  0.7.5svn90. Now scim-qtimm forces a commit when switching off
  but scim still remembers the current preedit string and inserts
  it again when switching it on the next time.
* Wed Oct 06 2004 - mfabian@suse.de
- Bugzilla #46670: make scim usable remotely via QT_IM_MODULE.
* Fri Sep 24 2004 - adrian@suse.de
- fix extension for plugins on lib64 systems
- remove unneeded %%post/%%pre scripts
- use correct QTDIR (no lib64)
* Thu Sep 23 2004 - adrian@suse.de
- disable debug output
* Mon Sep 20 2004 - mfabian@suse.de
- update to 0.7.5 release
- fixed crash bug when change from XIM to scim immodule in
  the 'select input method' menu.
- build fix for qt-x11-immodule-unified-qt3.3.3-20040910.diff
  now included.
* Fri Sep 10 2004 - mfabian@suse.de
- fix build with qt-x11-immodule-unified-qt3.3.3-20040910.diff.
* Thu Sep 09 2004 - mfabian@suse.de
- update to 0.7svn81 (some bug fixes).
  (my German translation is now included)
* Tue Sep 07 2004 - mfabian@suse.de
- update to 0.7svn77 (makes it work with qtimmodule patch 20040819)
- add German translation.
* Sat Sep 04 2004 - mfabian@suse.de
- new package: scim-qtimm, version 0.7.
